import type VertexArrayObject from '../render/vertex_array_object';
import type { StructArray } from '../util/struct_array';
export declare type Segment = {
    sortKey?: number;
    vertexOffset: number;
    primitiveOffset: number;
    vertexLength: number;
    primitiveLength: number;
    vaos: {
        [_: string]: VertexArrayObject;
    };
};
declare class SegmentVector {
    static MAX_VERTEX_ARRAY_LENGTH: number;
    segments: Array<Segment>;
    constructor(segments?: Array<Segment>);
    prepareSegment(numVertices: number, layoutVertexArray: StructArray, indexArray: StructArray, sortKey?: number): Segment;
    get(): Segment[];
    destroy(): void;
    static simpleSegment(vertexOffset: number, primitiveOffset: number, vertexLength: number, primitiveLength: number): SegmentVector;
}
export default SegmentVector;
//# sourceMappingURL=segment.d.ts.map