declare type BlendFuncConstant = WebGLRenderingContext['ZERO'] | WebGLRenderingContext['ONE'] | WebGLRenderingContext['SRC_COLOR'] | WebGLRenderingContext['ONE_MINUS_SRC_COLOR'] | WebGLRenderingContext['DST_COLOR'] | WebGLRenderingContext['ONE_MINUS_DST_COLOR'] | WebGLRenderingContext['SRC_ALPHA'] | WebGLRenderingContext['ONE_MINUS_SRC_ALPHA'] | WebGLRenderingContext['DST_ALPHA'] | WebGLRenderingContext['ONE_MINUS_DST_ALPHA'] | WebGLRenderingContext['CONSTANT_COLOR'] | WebGLRenderingContext['ONE_MINUS_CONSTANT_COLOR'] | WebGLRenderingContext['CONSTANT_ALPHA'] | WebGLRenderingContext['ONE_MINUS_CONSTANT_ALPHA'] | WebGLRenderingContext['BLEND_COLOR'];
export declare type BlendFuncType = [BlendFuncConstant, BlendFuncConstant];
export declare type BlendEquationType = WebGLRenderingContext['FUNC_ADD'] | WebGLRenderingContext['FUNC_SUBTRACT'] | WebGLRenderingContext['FUNC_REVERSE_SUBTRACT'];
export declare type ColorMaskType = [boolean, boolean, boolean, boolean];
export declare type CompareFuncType = WebGLRenderingContext['NEVER'] | WebGLRenderingContext['LESS'] | WebGLRenderingContext['EQUAL'] | WebGLRenderingContext['LEQUAL'] | WebGLRenderingContext['GREATER'] | WebGLRenderingContext['NOTEQUAL'] | WebGLRenderingContext['GEQUAL'] | WebGLRenderingContext['ALWAYS'];
export declare type DepthMaskType = boolean;
export declare type DepthRangeType = [number, number];
export declare type DepthFuncType = CompareFuncType;
export declare type StencilFuncType = {
    func: CompareFuncType;
    ref: number;
    mask: number;
};
export declare type StencilOpConstant = WebGLRenderingContext['KEEP'] | WebGLRenderingContext['ZERO'] | WebGLRenderingContext['REPLACE'] | WebGLRenderingContext['INCR'] | WebGLRenderingContext['INCR_WRAP'] | WebGLRenderingContext['DECR'] | WebGLRenderingContext['DECR_WRAP'] | WebGLRenderingContext['INVERT'];
export declare type StencilOpType = [StencilOpConstant, StencilOpConstant, StencilOpConstant];
export declare type TextureUnitType = number;
export declare type ViewportType = [number, number, number, number];
export declare type StencilTest = {
    func: WebGLRenderingContext['NEVER'];
    mask: 0;
} | {
    func: WebGLRenderingContext['LESS'];
    mask: number;
} | {
    func: WebGLRenderingContext['EQUAL'];
    mask: number;
} | {
    func: WebGLRenderingContext['LEQUAL'];
    mask: number;
} | {
    func: WebGLRenderingContext['GREATER'];
    mask: number;
} | {
    func: WebGLRenderingContext['NOTEQUAL'];
    mask: number;
} | {
    func: WebGLRenderingContext['GEQUAL'];
    mask: number;
} | {
    func: WebGLRenderingContext['ALWAYS'];
    mask: 0;
};
export declare type CullFaceModeType = WebGLRenderingContext['FRONT'] | WebGLRenderingContext['BACK'] | WebGLRenderingContext['FRONT_AND_BACK'];
export declare type FrontFaceType = WebGLRenderingContext['CW'] | WebGLRenderingContext['CCW'];
export {};
//# sourceMappingURL=types.d.ts.map