import { Uniform1f, Uniform2f, UniformMatrix4f } from '../uniform_binding';
import type Context from '../../gl/context';
import type { UniformValues, UniformLocations } from '../uniform_binding';
import type Transform from '../../geo/transform';
import type Tile from '../../source/tile';
import { mat4 } from 'gl-matrix';
export declare type CollisionUniformsType = {
    'u_matrix': UniformMatrix4f;
    'u_camera_to_center_distance': Uniform1f;
    'u_pixels_to_tile_units': Uniform1f;
    'u_extrude_scale': Uniform2f;
    'u_overscale_factor': Uniform1f;
};
export declare type CollisionCircleUniformsType = {
    'u_matrix': UniformMatrix4f;
    'u_inv_matrix': UniformMatrix4f;
    'u_camera_to_center_distance': Uniform1f;
    'u_viewport_size': Uniform2f;
};
declare const collisionUniforms: (context: Context, locations: UniformLocations) => CollisionUniformsType;
declare const collisionCircleUniforms: (context: Context, locations: UniformLocations) => CollisionCircleUniformsType;
declare const collisionUniformValues: (matrix: mat4, transform: Transform, tile: Tile) => UniformValues<CollisionUniformsType>;
declare const collisionCircleUniformValues: (matrix: mat4, invMatrix: mat4, transform: Transform) => UniformValues<CollisionCircleUniformsType>;
export { collisionUniforms, collisionUniformValues, collisionCircleUniforms, collisionCircleUniformValues };
//# sourceMappingURL=collision_program.d.ts.map