import { Uniform1i, Uniform1f, Uniform2f, UniformMatrix4f } from '../uniform_binding';
import type Context from '../../gl/context';
import type Painter from '../painter';
import type { UniformValues, UniformLocations } from '../uniform_binding';
import { mat4 } from 'gl-matrix';
export declare type SymbolIconUniformsType = {
    'u_is_size_zoom_constant': Uniform1i;
    'u_is_size_feature_constant': Uniform1i;
    'u_size_t': Uniform1f;
    'u_size': Uniform1f;
    'u_camera_to_center_distance': Uniform1f;
    'u_pitch': Uniform1f;
    'u_rotate_symbol': Uniform1i;
    'u_aspect_ratio': Uniform1f;
    'u_fade_change': Uniform1f;
    'u_matrix': UniformMatrix4f;
    'u_label_plane_matrix': UniformMatrix4f;
    'u_coord_matrix': UniformMatrix4f;
    'u_is_text': Uniform1i;
    'u_pitch_with_map': Uniform1i;
    'u_texsize': Uniform2f;
    'u_texture': Uniform1i;
};
export declare type SymbolSDFUniformsType = {
    'u_is_size_zoom_constant': Uniform1i;
    'u_is_size_feature_constant': Uniform1i;
    'u_size_t': Uniform1f;
    'u_size': Uniform1f;
    'u_camera_to_center_distance': Uniform1f;
    'u_pitch': Uniform1f;
    'u_rotate_symbol': Uniform1i;
    'u_aspect_ratio': Uniform1f;
    'u_fade_change': Uniform1f;
    'u_matrix': UniformMatrix4f;
    'u_label_plane_matrix': UniformMatrix4f;
    'u_coord_matrix': UniformMatrix4f;
    'u_is_text': Uniform1i;
    'u_pitch_with_map': Uniform1i;
    'u_texsize': Uniform2f;
    'u_texture': Uniform1i;
    'u_gamma_scale': Uniform1f;
    'u_device_pixel_ratio': Uniform1f;
    'u_is_halo': Uniform1i;
};
export declare type symbolTextAndIconUniformsType = {
    'u_is_size_zoom_constant': Uniform1i;
    'u_is_size_feature_constant': Uniform1i;
    'u_size_t': Uniform1f;
    'u_size': Uniform1f;
    'u_camera_to_center_distance': Uniform1f;
    'u_pitch': Uniform1f;
    'u_rotate_symbol': Uniform1i;
    'u_aspect_ratio': Uniform1f;
    'u_fade_change': Uniform1f;
    'u_matrix': UniformMatrix4f;
    'u_label_plane_matrix': UniformMatrix4f;
    'u_coord_matrix': UniformMatrix4f;
    'u_is_text': Uniform1i;
    'u_pitch_with_map': Uniform1i;
    'u_texsize': Uniform2f;
    'u_texsize_icon': Uniform2f;
    'u_texture': Uniform1i;
    'u_texture_icon': Uniform1i;
    'u_gamma_scale': Uniform1f;
    'u_device_pixel_ratio': Uniform1f;
    'u_is_halo': Uniform1i;
};
declare const symbolIconUniforms: (context: Context, locations: UniformLocations) => SymbolIconUniformsType;
declare const symbolSDFUniforms: (context: Context, locations: UniformLocations) => SymbolSDFUniformsType;
declare const symbolTextAndIconUniforms: (context: Context, locations: UniformLocations) => symbolTextAndIconUniformsType;
declare const symbolIconUniformValues: (functionType: string, size: {
    uSizeT: number;
    uSize: number;
} | undefined | null, rotateInShader: boolean, pitchWithMap: boolean, painter: Painter, matrix: mat4, labelPlaneMatrix: mat4, glCoordMatrix: mat4, isText: boolean, texSize: [number, number]) => UniformValues<SymbolIconUniformsType>;
declare const symbolSDFUniformValues: (functionType: string, size: {
    uSizeT: number;
    uSize: number;
} | undefined | null, rotateInShader: boolean, pitchWithMap: boolean, painter: Painter, matrix: mat4, labelPlaneMatrix: mat4, glCoordMatrix: mat4, isText: boolean, texSize: [number, number], isHalo: boolean) => UniformValues<SymbolSDFUniformsType>;
declare const symbolTextAndIconUniformValues: (functionType: string, size: {
    uSizeT: number;
    uSize: number;
} | undefined | null, rotateInShader: boolean, pitchWithMap: boolean, painter: Painter, matrix: mat4, labelPlaneMatrix: mat4, glCoordMatrix: mat4, texSizeSDF: [number, number], texSizeIcon: [number, number]) => UniformValues<SymbolIconUniformsType>;
export { symbolIconUniforms, symbolSDFUniforms, symbolIconUniformValues, symbolSDFUniformValues, symbolTextAndIconUniformValues, symbolTextAndIconUniforms };
//# sourceMappingURL=symbol_program.d.ts.map