import { Evented } from '../util/evented';
import { OverscaledTileID } from './tile_id';
import RasterTileSource from './raster_tile_source';
import '../data/dem_data';
import type { Source } from './source';
import type Dispatcher from '../util/dispatcher';
import type Tile from './tile';
import type { Callback } from '../types/callback';
import type { RasterDEMSourceSpecification } from '../style-spec/types';
declare class RasterDEMTileSource extends RasterTileSource implements Source {
    encoding: 'mapbox' | 'terrarium';
    constructor(id: string, options: RasterDEMSourceSpecification, dispatcher: Dispatcher, eventedParent: Evented);
    serialize(): {
        type: string;
        url: string;
        tileSize: number;
        tiles: string[];
        bounds: [number, number, number, number];
        encoding: "mapbox" | "terrarium";
    };
    loadTile(tile: Tile, callback: Callback<void>): void;
    _getNeighboringTiles(tileID: OverscaledTileID): {};
    unloadTile(tile: Tile): void;
}
export default RasterDEMTileSource;
//# sourceMappingURL=raster_dem_tile_source.d.ts.map