import Point from '../util/point';
import MercatorCoordinate from '../geo/mercator_coordinate';
import { mat4 } from 'gl-matrix';
export declare class CanonicalTileID {
    z: number;
    x: number;
    y: number;
    key: string;
    constructor(z: number, x: number, y: number);
    equals(id: CanonicalTileID): boolean;
    url(urls: Array<string>, scheme?: string | null): string;
    getTilePoint(coord: MercatorCoordinate): Point;
    toString(): string;
}
export declare class UnwrappedTileID {
    wrap: number;
    canonical: CanonicalTileID;
    key: string;
    constructor(wrap: number, canonical: CanonicalTileID);
}
export declare class OverscaledTileID {
    overscaledZ: number;
    wrap: number;
    canonical: CanonicalTileID;
    key: string;
    posMatrix: mat4;
    constructor(overscaledZ: number, wrap: number, z: number, x: number, y: number);
    equals(id: OverscaledTileID): boolean;
    scaledTo(targetZ: number): OverscaledTileID;
    calculateScaledKey(targetZ: number, withWrap: boolean): string;
    isChildOf(parent: OverscaledTileID): boolean;
    children(sourceMaxZoom: number): OverscaledTileID[];
    isLessThan(rhs: OverscaledTileID): boolean;
    wrapped(): OverscaledTileID;
    unwrapTo(wrap: number): OverscaledTileID;
    overscaleFactor(): number;
    toUnwrapped(): UnwrappedTileID;
    toString(): string;
    getTilePoint(coord: MercatorCoordinate): Point;
}
//# sourceMappingURL=tile_id.d.ts.map