import { CollisionBoxArray } from '../data/array_types';
import { OverscaledTileID } from './tile_id';
import type Actor from '../util/actor';
import type StyleLayerIndex from '../style/style_layer_index';
import type { WorkerTileParameters, WorkerTileCallback } from '../source/worker_source';
import type { PromoteIdSpecification } from '../style-spec/types';
declare class WorkerTile {
    tileID: OverscaledTileID;
    uid: string;
    zoom: number;
    pixelRatio: number;
    tileSize: number;
    source: string;
    promoteId: PromoteIdSpecification | undefined | null;
    overscaling: number;
    showCollisionBoxes: boolean;
    collectResourceTiming: boolean;
    returnDependencies: boolean;
    status: 'parsing' | 'done';
    data: VectorTile;
    collisionBoxArray: CollisionBoxArray;
    abort: (() => void) | undefined | null;
    reloadCallback: WorkerTileCallback;
    vectorTile: VectorTile;
    constructor(params: WorkerTileParameters);
    parse(data: VectorTile, layerIndex: StyleLayerIndex, availableImages: Array<string>, actor: Actor, callback: WorkerTileCallback): void;
}
export default WorkerTile;
//# sourceMappingURL=worker_tile.d.ts.map