import { Properties, DataConstantProperty, DataDrivenProperty, PossiblyEvaluatedPropertyValue } from '../properties';
import type Color from '../../style-spec/util/color';
export declare type LayoutProps = {
    "circle-sort-key": DataDrivenProperty<number>;
};
export declare type LayoutPropsPossiblyEvaluated = {
    "circle-sort-key": PossiblyEvaluatedPropertyValue<number>;
};
export declare type PaintProps = {
    "circle-radius": DataDrivenProperty<number>;
    "circle-color": DataDrivenProperty<Color>;
    "circle-blur": DataDrivenProperty<number>;
    "circle-opacity": DataDrivenProperty<number>;
    "circle-translate": DataConstantProperty<[number, number]>;
    "circle-translate-anchor": DataConstantProperty<"map" | "viewport">;
    "circle-pitch-scale": DataConstantProperty<"map" | "viewport">;
    "circle-pitch-alignment": DataConstantProperty<"map" | "viewport">;
    "circle-stroke-width": DataDrivenProperty<number>;
    "circle-stroke-color": DataDrivenProperty<Color>;
    "circle-stroke-opacity": DataDrivenProperty<number>;
};
export declare type PaintPropsPossiblyEvaluated = {
    "circle-radius": PossiblyEvaluatedPropertyValue<number>;
    "circle-color": PossiblyEvaluatedPropertyValue<Color>;
    "circle-blur": PossiblyEvaluatedPropertyValue<number>;
    "circle-opacity": PossiblyEvaluatedPropertyValue<number>;
    "circle-translate": [number, number];
    "circle-translate-anchor": "map" | "viewport";
    "circle-pitch-scale": "map" | "viewport";
    "circle-pitch-alignment": "map" | "viewport";
    "circle-stroke-width": PossiblyEvaluatedPropertyValue<number>;
    "circle-stroke-color": PossiblyEvaluatedPropertyValue<Color>;
    "circle-stroke-opacity": PossiblyEvaluatedPropertyValue<number>;
};
declare const _default: {
    paint: Properties<PaintProps>;
    layout: Properties<LayoutProps>;
};
export default _default;
//# sourceMappingURL=circle_style_layer_properties.d.ts.map