import { Properties, DataConstantProperty, DataDrivenProperty, CrossFadedDataDrivenProperty, PossiblyEvaluatedPropertyValue } from '../properties';
import type Color from '../../style-spec/util/color';
import type ResolvedImage from '../../style-spec/expression/types/resolved_image';
export declare type PaintProps = {
    "fill-extrusion-opacity": DataConstantProperty<number>;
    "fill-extrusion-color": DataDrivenProperty<Color>;
    "fill-extrusion-translate": DataConstantProperty<[number, number]>;
    "fill-extrusion-translate-anchor": DataConstantProperty<"map" | "viewport">;
    "fill-extrusion-pattern": CrossFadedDataDrivenProperty<ResolvedImage>;
    "fill-extrusion-height": DataDrivenProperty<number>;
    "fill-extrusion-base": DataDrivenProperty<number>;
    "fill-extrusion-vertical-gradient": DataConstantProperty<boolean>;
};
export declare type PaintPropsPossiblyEvaluated = {
    "fill-extrusion-opacity": number;
    "fill-extrusion-color": PossiblyEvaluatedPropertyValue<Color>;
    "fill-extrusion-translate": [number, number];
    "fill-extrusion-translate-anchor": "map" | "viewport";
    "fill-extrusion-pattern": PossiblyEvaluatedPropertyValue<ResolvedImage>;
    "fill-extrusion-height": PossiblyEvaluatedPropertyValue<number>;
    "fill-extrusion-base": PossiblyEvaluatedPropertyValue<number>;
    "fill-extrusion-vertical-gradient": boolean;
};
declare const _default: {
    paint: Properties<PaintProps>;
};
export default _default;
//# sourceMappingURL=fill_extrusion_style_layer_properties.d.ts.map