import StyleLayer from '../style_layer';
import FillBucket from '../../data/bucket/fill_bucket';
import { LayoutPropsPossiblyEvaluated, PaintPropsPossiblyEvaluated } from './fill_style_layer_properties';
import { Transitionable, Transitioning, Layout, PossiblyEvaluated } from '../properties';
import type { FeatureState } from '../../style-spec/expression';
import type { BucketParameters } from '../../data/bucket';
import type Point from '../../util/point';
import type { LayoutProps, PaintProps } from './fill_style_layer_properties';
import type EvaluationParameters from '../evaluation_parameters';
import type Transform from '../../geo/transform';
import type { LayerSpecification } from '../../style-spec/types';
declare class FillStyleLayer extends StyleLayer {
    _unevaluatedLayout: Layout<LayoutProps>;
    layout: PossiblyEvaluated<LayoutProps, LayoutPropsPossiblyEvaluated>;
    _transitionablePaint: Transitionable<PaintProps>;
    _transitioningPaint: Transitioning<PaintProps>;
    paint: PossiblyEvaluated<PaintProps, PaintPropsPossiblyEvaluated>;
    constructor(layer: LayerSpecification);
    recalculate(parameters: EvaluationParameters, availableImages: Array<string>): void;
    createBucket(parameters: BucketParameters<any>): FillBucket;
    queryRadius: () => number;
    queryIntersectsFeature: (queryGeometry: Array<Point>, feature: VectorTileFeature, featureState: FeatureState, geometry: Array<Array<Point>>, zoom: number, transform: Transform, pixelsToTileUnits: number) => boolean;
    isTileClipped(): boolean;
}
export default FillStyleLayer;
//# sourceMappingURL=fill_style_layer.d.ts.map