import { Properties, DataConstantProperty, DataDrivenProperty, CrossFadedDataDrivenProperty, PossiblyEvaluatedPropertyValue } from '../properties';
import type Color from '../../style-spec/util/color';
import type ResolvedImage from '../../style-spec/expression/types/resolved_image';
export declare type LayoutProps = {
    "fill-sort-key": DataDrivenProperty<number>;
};
export declare type LayoutPropsPossiblyEvaluated = {
    "fill-sort-key": PossiblyEvaluatedPropertyValue<number>;
};
export declare type PaintProps = {
    "fill-antialias": DataConstantProperty<boolean>;
    "fill-opacity": DataDrivenProperty<number>;
    "fill-color": DataDrivenProperty<Color>;
    "fill-outline-color": DataDrivenProperty<Color>;
    "fill-translate": DataConstantProperty<[number, number]>;
    "fill-translate-anchor": DataConstantProperty<"map" | "viewport">;
    "fill-pattern": CrossFadedDataDrivenProperty<ResolvedImage>;
};
export declare type PaintPropsPossiblyEvaluated = {
    "fill-antialias": PossiblyEvaluatedPropertyValue<boolean>;
    "fill-opacity": PossiblyEvaluatedPropertyValue<number>;
    "fill-color": PossiblyEvaluatedPropertyValue<Color>;
    "fill-outline-color": PossiblyEvaluatedPropertyValue<Color>;
    "fill-translate": [number, number];
    "fill-translate-anchor": "map" | "viewport";
    "fill-pattern": PossiblyEvaluatedPropertyValue<ResolvedImage>;
};
declare const _default: {
    paint: Properties<PaintProps>;
    layout: Properties<LayoutProps>;
};
export default _default;
//# sourceMappingURL=fill_style_layer_properties.d.ts.map