import StyleLayer from '../style_layer';
import HeatmapBucket from '../../data/bucket/heatmap_bucket';
import { RGBAImage } from '../../util/image';
import { PaintPropsPossiblyEvaluated } from './heatmap_style_layer_properties';
import { Transitionable, Transitioning, PossiblyEvaluated } from '../properties';
import type Texture from '../../render/texture';
import type Framebuffer from '../../gl/framebuffer';
import type { PaintProps } from './heatmap_style_layer_properties';
import type { LayerSpecification } from '../../style-spec/types';
declare class HeatmapStyleLayer extends StyleLayer {
    heatmapFbo: Framebuffer | undefined | null;
    colorRamp: RGBAImage;
    colorRampTexture: Texture | undefined | null;
    _transitionablePaint: Transitionable<PaintProps>;
    _transitioningPaint: Transitioning<PaintProps>;
    paint: PossiblyEvaluated<PaintProps, PaintPropsPossiblyEvaluated>;
    createBucket(options: any): HeatmapBucket;
    constructor(layer: LayerSpecification);
    _handleSpecialPaintPropertyUpdate(name: string): void;
    _updateColorRamp(): void;
    resize(): void;
    queryRadius: () => number;
    queryIntersectsFeature: () => boolean;
    hasOffscreenPass(): boolean;
}
export default HeatmapStyleLayer;
//# sourceMappingURL=heatmap_style_layer.d.ts.map