import type { Evented } from '../util/evented';
declare type ValidationError = {
    message: string;
    line: number;
    identifier?: string;
};
export declare type Validator = (a: any) => ReadonlyArray<ValidationError>;
declare type ValidateStyle = {
    source: Validator;
    layer: Validator;
    light: Validator;
    filter: Validator;
    paintProperty: Validator;
    layoutProperty: Validator;
    (b: any, a?: any | null): ReadonlyArray<ValidationError>;
};
export declare const validateStyle: ValidateStyle;
export declare const validateSource: Validator;
export declare const validateLight: Validator;
export declare const validateFilter: Validator;
export declare const validatePaintProperty: Validator;
export declare const validateLayoutProperty: Validator;
export declare function emitValidationErrors(emitter: Evented, errors?: ReadonlyArray<{
    message: string;
    identifier?: string;
}> | null): boolean;
export {};
//# sourceMappingURL=validate_style.d.ts.map