import SymbolBucket from '../data/bucket/symbol_bucket';
import type { CanonicalTileID } from '../source/tile_id';
import type { TextJustify } from './shaping';
import type { StyleImage } from '../style/style_image';
import type { StyleGlyph } from '../style/style_glyph';
import type { ImagePosition } from '../render/image_atlas';
import type { GlyphPosition } from '../render/glyph_atlas';
export declare type TextAnchor = 'center' | 'left' | 'right' | 'top' | 'bottom' | 'top-left' | 'top-right' | 'bottom-left' | 'bottom-right';
export declare function evaluateVariableOffset(anchor: TextAnchor, offset: [number, number]): number[];
export declare function performSymbolLayout(bucket: SymbolBucket, glyphMap: {
    [_: string]: {
        [x: number]: StyleGlyph | undefined | null;
    };
}, glyphPositions: {
    [_: string]: {
        [x: number]: GlyphPosition;
    };
}, imageMap: {
    [_: string]: StyleImage;
}, imagePositions: {
    [_: string]: ImagePosition;
}, showCollisionBoxes: boolean, canonical: CanonicalTileID): void;
export declare function getAnchorJustification(anchor: TextAnchor): TextJustify;
declare const MAX_PACKED_SIZE: number;
export { MAX_PACKED_SIZE };
//# sourceMappingURL=symbol_layout.d.ts.map