import type Point from '../../util/point';
declare class MouseHandler {
    _enabled: boolean;
    _active: boolean;
    _lastPoint: Point;
    _eventButton: number;
    _moved: boolean;
    _clickTolerance: number;
    constructor(options: {
        clickTolerance: number;
    });
    reset(): void;
    _correctButton(e: MouseEvent, button: number): boolean;
    _move(lastPoint: Point, point: Point): {};
    mousedown(e: MouseEvent, point: Point): void;
    mousemoveWindow(e: MouseEvent, point: Point): {};
    mouseupWindow(e: MouseEvent): void;
    enable(): void;
    disable(): void;
    isEnabled(): boolean;
    isActive(): boolean;
}
export declare class MousePanHandler extends MouseHandler {
    mousedown(e: MouseEvent, point: Point): void;
    _correctButton(e: MouseEvent, button: number): boolean;
    _move(lastPoint: Point, point: Point): {
        around: Point;
        panDelta: Point;
    };
}
export declare class MouseRotateHandler extends MouseHandler {
    _correctButton(e: MouseEvent, button: number): boolean;
    _move(lastPoint: Point, point: Point): {
        bearingDelta: number;
    };
    contextmenu(e: MouseEvent): void;
}
export declare class MousePitchHandler extends MouseHandler {
    _correctButton(e: MouseEvent, button: number): boolean;
    _move(lastPoint: Point, point: Point): {
        pitchDelta: number;
    };
    contextmenu(e: MouseEvent): void;
}
export {};
//# sourceMappingURL=mouse.d.ts.map