export declare type Size = {
    width: number;
    height: number;
};
declare type Point = {
    x: number;
    y: number;
};
export declare class AlphaImage {
    width: number;
    height: number;
    data: Uint8Array;
    constructor(size: Size, data?: Uint8Array | Uint8ClampedArray);
    resize(size: Size): void;
    clone(): AlphaImage;
    static copy(srcImg: AlphaImage, dstImg: AlphaImage, srcPt: Point, dstPt: Point, size: Size): void;
}
export declare class RGBAImage {
    width: number;
    height: number;
    data: Uint8Array;
    constructor(size: Size, data?: Uint8Array | Uint8ClampedArray);
    resize(size: Size): void;
    replace(data: Uint8Array | Uint8ClampedArray, copy?: boolean): void;
    clone(): RGBAImage;
    static copy(srcImg: RGBAImage | ImageData, dstImg: RGBAImage, srcPt: Point, dstPt: Point, size: Size): void;
}
export {};
//# sourceMappingURL=image.d.ts.map